Package groovy.beans

# Class DefaultPropertyAccessor

java.lang.Object
groovy.beans.DefaultPropertyAccessor

All Implemented Interfaces:
  `PropertyAccessor`, `PropertyReader`, `PropertyWriter`

public class DefaultPropertyAccessor extends Object implements PropertyAccessor

Author:
  Andres Almiray

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PropertyAccessor`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`DefaultPropertyAccessor()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`read(Object owner, String propertyName)`
`void`
`write(Object owner, String propertyName, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final PropertyAccessor INSTANCE

## Constructor Details

### DefaultPropertyAccessor

public DefaultPropertyAccessor()

## Method Details

### read

public Object read(Object owner, String propertyName)

Specified by:
  `read` in interface `PropertyReader`

### write

public void write(Object owner, String propertyName, Object value)

Specified by:
  `write` in interface `PropertyWriter`